import {MessageBox} from 'element-ui'

const eventTable = {
  trialCheck() {
    const c = this.$createElement
    const state = this.$store.state
    return new Promise(function(resolve, reject) {
      if (state.config.trial === 1) {
        reject && reject()
        const vNode = c(
            'div', {style: 'line-height: 36px;padding: 0 39px;font-size:24px'},
            [
              c('p', {style: 'font-weight: 600;'}, '尊敬的客户：'), c('br'),
              c('div', {style: 'text-indent:48px'},
                '您好！欢迎您使用德阳市智慧就业服务平台！系统将根据贵公司的合同约定收到保证金后开通使用，我们郑重承诺：您的保证金将用于更好的保障您在德阳市智慧就业服务平台中的任务管理、商保管理的权益，非常感谢您对我们的信赖！')
            ])
        MessageBox.alert(vNode, {
          customClass: 'trialCheckBox',
          dangerouslyUseHTMLString: true,
          showClose: false
        })
      } else {
        resolve && resolve()
      }
    })
  }
};

export default {
  install(Vue) {
    Vue.prototype.$jlEvent = function(eventName) {
      return eventTable[eventName].call(this)
    }
  }
};
